cabal-install-3.10.2.1: The command-line interface for Cabal and Hackage.

Maintainer | cabal-devel@haskell.org
Portability | portable
Safe Haskell | None
Language | Haskell2010

Distribution.Client.CmdOutdated

Description

Implementation of the `outdated` command. Checks for outdated dependencies in the package description file or freeze file.

Synopsis

- outdatedCommand :: CommandUI (ProjectFlags, OutdatedFlags)
- outdatedAction :: (ProjectFlags, OutdatedFlags) -> [String] -> GlobalFlags -> IO ()
- data ListOutdatedSettings = ListOutdatedSettings {
  - listOutdatedIgnorePred :: PackageName -> Bool
  - listOutdatedMinorPred :: PackageName -> Bool
  }
- listOutdated :: [PackageVersionConstraint] -> SourcePackageDb -> ListOutdatedSettings -> [(PackageVersionConstraint, Version)]

# Documentation

outdatedCommand :: CommandUI (ProjectFlags, OutdatedFlags) #

outdatedAction :: (ProjectFlags, OutdatedFlags) -> [String] -> GlobalFlags -> IO () #

Entry point for the `outdated` command.

data ListOutdatedSettings #

Various knobs for customising the behaviour of `listOutdated`.

Constructors

ListOutdatedSettings |
Fields listOutdatedIgnorePred :: PackageName -> Bool Should this package be ignored? listOutdatedMinorPred :: PackageName -> Bool Should major version bumps be ignored for this package?

listOutdated :: [PackageVersionConstraint] -> SourcePackageDb -> ListOutdatedSettings -> [(PackageVersionConstraint, Version)] #

Find all outdated dependencies.